summaryrefslogtreecommitdiffstats
path: root/source/t/texlive/texlive.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/t/texlive/texlive.SlackBuild')
-rwxr-xr-xsource/t/texlive/texlive.SlackBuild29
1 files changed, 10 insertions, 19 deletions
diff --git a/source/t/texlive/texlive.SlackBuild b/source/t/texlive/texlive.SlackBuild
index deab705b6..e08739e02 100755
--- a/source/t/texlive/texlive.SlackBuild
+++ b/source/t/texlive/texlive.SlackBuild
@@ -2,9 +2,9 @@
# TeXLive build script for Slackware
-# Copyright 2009, 2017 - 2018 Patrick J. Volkerding, Sebeka, MN, USA
-# Copyright 2009-2014 Robby Workman, Northport, AL, USA
-# Copyright 2016-2017 Johannes Schoepfer, Germany
+# Copyright 2009, 2017 - 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009 - 2014 Robby Workman, Northport, AL, USA
+# Copyright 2016 - 2017 Johannes Schoepfer, Germany
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,14 +26,14 @@
# URL: ftp://tug.org/historic/systems/texlive/
# Testrelease: ftp://tug.org/texlive/Images/test/
-# Upstream stable fixes: svn://tug.org/texlive/branches/branch2018/Build/source
+# Upstream stable fixes: svn://tug.org/texlive/branches/branch2019/Build/source
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=texlive
-SOURCEVERSION=${SOURCEVERSION:-20180414}
-VERSION=${VERSION:-2018.180822}
-BUILD=${BUILD:-5}
+SOURCEVERSION=${SOURCEVERSION:-20190410}
+VERSION=${VERSION:-2019.190626}
+BUILD=${BUILD:-1}
TMP=${TMP:-/tmp}
PKG=$TMP/package-texlive
@@ -71,7 +71,7 @@ fi
# recompiled with pretty much every poppler update, as they almost always
# bump the shared library version. But sometimes you do what you have
# to do...
-SYSTEMPOPPLER=${SYSTEMPOPPLER:-YES}
+SYSTEMPOPPLER=${SYSTEMPOPPLER:-NO}
if [ "$SYSTEMPOPPLER" = "NO" ]; then
POPPLER="--without-system-poppler --without-system-xpdf"
else
@@ -98,21 +98,11 @@ sed -i \
texk/kpathsea/texmf.cnf
# Upstream stable fixes
-patch -Np0 -i $CWD/patches/20180625.diff || exit 1
-# Add missing synctex header
-patch -Np0 -i $CWD/patches/synctex-missing-header.patch || exit 1
+patch -Np1 -i $CWD/patches/texlive-20190410-source-upstream_fixes-1.patch || exit 1
# prevent compiling Xdvi with libXp
sed -i 's|-lXp ||' texk/xdvik/configure
-# The 2018 version of texlive ships with support for poppler-0.57.0 and older,
-# but it includes alternative newpoppler files which enable building with
-# poppler-0.62.0 or newer.
-if [ ! "$SYSTEMPOPPLER" = "NO" ]; then
- mv -v texk/web2c/pdftexdir/pdftoepdf{-newpoppler,}.cc || exit 1
- mv -v texk/web2c/pdftexdir/pdftosrc{-newpoppler,}.cc || exit 1
-fi
-
mkdir build
cd build
CFLAGS="$SLKCFLAGS" \
@@ -134,6 +124,7 @@ cd build
--disable-bibtexu \
--disable-xz \
--with-x \
+ --disable-dvisvgm \
--enable-xindy \
--disable-xindy-docs \
--disable-xindy-rules \